summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Thorn Inurcide <thorn-inurcide@hotmail.com>2014-06-15 08:06:30 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-06-18 16:18:59 -0500
commit7419528d6e426ad405f0a5fee777b45a96035e5d (patch)
treee4fdfd9d34df9923f8469182742e630aa145036c /development
parent71d81f404a7c1394124c7494478f52ccd57b6a40 (diff)
downloadslackbuilds-7419528d6e426ad405f0a5fee777b45a96035e5d.tar.gz
slackbuilds-7419528d6e426ad405f0a5fee777b45a96035e5d.tar.xz
development/ebe: Added (easy beginner environment).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/ebe/README13
-rw-r--r--development/ebe/doinst.sh9
-rw-r--r--development/ebe/ebe.SlackBuild107
-rw-r--r--development/ebe/ebe.desktop7
-rw-r--r--development/ebe/ebe.info10
-rw-r--r--development/ebe/slack-desc19
6 files changed, 165 insertions, 0 deletions
diff --git a/development/ebe/README b/development/ebe/README
new file mode 100644
index 0000000000..af1bc0f506
--- /dev/null
+++ b/development/ebe/README
@@ -0,0 +1,13 @@
+Ebe IDE
+
+This is for Assembly and C/C++ as well as Fortran.
+It has has a "Toy Box" to help anyone with learning a little of
+C++ and Fortran. And is designed for learning Assembly language.
+
+There are a few non-critical bugs at the moment that the author is aware of
+and working on. I believe the windows executable has been updated already,
+so it might not be too long.
+
+Also if launching this through Fluxbox's menu you may encounter a warning
+message concerning gdb when you run a program in the terminal.
+You can ignore this message, and it has a gdb console.
diff --git a/development/ebe/doinst.sh b/development/ebe/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/development/ebe/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/ebe/ebe.SlackBuild b/development/ebe/ebe.SlackBuild
new file mode 100644
index 0000000000..1f72ee1d75
--- /dev/null
+++ b/development/ebe/ebe.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009, 2010, 2011, 2012, 2013, 2014 Eric Hameleers, Eindhoven, Netherlands
+
+# Slackware build script for ebe
+
+# Copyright 2014 Thorn Inurcide USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=ebe
+VERSION=${VERSION:-2.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_src\_$VERSION.tgz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./rebuild
+./qrc
+make
+
+mkdir -p $PKG/opt/$PRGNAM-$VERSION
+install -m0755 ebe $PKG/opt/$PRGNAM-$VERSION
+install -m0644 *.qm $PKG/opt/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps
+install -m0644 -C images/ebe64.png $PKG/usr/share/icons/hicolor/64x64/apps
+
+mkdir -p $PKG/usr/share/applications
+cp -a $CWD/ebe.desktop $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+#Symlink the binary to /usr/bin
+mkdir -p $PKG/usr/bin
+(
+ cd $PKG/usr/bin
+ ln -sf /opt/ebe-2.3.4/ebe
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ebe/ebe.desktop b/development/ebe/ebe.desktop
new file mode 100644
index 0000000000..17b3fc4ffc
--- /dev/null
+++ b/development/ebe/ebe.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Ebe
+Comment=An IDE for Assembly and C/C++
+Exec=ebe
+Icon=ebe64
+Type=Application
+Categories=Development
diff --git a/development/ebe/ebe.info b/development/ebe/ebe.info
new file mode 100644
index 0000000000..a19c3d63c2
--- /dev/null
+++ b/development/ebe/ebe.info
@@ -0,0 +1,10 @@
+PRGNAM="ebe"
+VERSION="2.3.4"
+HOMEPAGE="http://www.rayseyfarth.com/ebe/"
+DOWNLOAD="http://sourceforge.net/projects/qtebe/files/src/ebe_src_2.3.4.tgz"
+MD5SUM="05fa216a7c046f93af202a3ebf635d3c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="astyle"
+MAINTAINER="Thorn Inurcide"
+EMAIL="thorn-inurcide@hotmail.com"
diff --git a/development/ebe/slack-desc b/development/ebe/slack-desc
new file mode 100644
index 0000000000..1025e0f123
--- /dev/null
+++ b/development/ebe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ebe: ebe (easy beginner environment)
+ebe:
+ebe: Ebe is an integrated development environment developed primarily
+ebe: for teaching assembly language. It also allows development in C,
+ebe: C++ and Fortran. The primary goal is to make development as simple
+ebe: as possible for beginners. To that end a program can consist of a
+ebe: single source code file and the Run button builds the program and
+ebe: runs it using gdb internally as a debugger.
+ebe:
+ebe:
+ebe: Home: http://www.rayseyfarth.com/ebe/